> ## Documentation Index
> Fetch the complete documentation index at: https://docs.persistence.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create number pool

> Create a number pool with at least one phone number.



## OpenAPI

````yaml api-reference/number-pools/openapi.json POST /v1/number-pools
openapi: 3.0.3
info:
  title: Persistence Number Pools API
  version: '1.0'
  description: Manage groups of outbound phone numbers.
servers:
  - url: https://api.persistence.dev
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Number pools
paths:
  /v1/number-pools:
    post:
      tags:
        - Number pools
      summary: Create number pool
      operationId: createNumberPool
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePoolRequest'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PoolEnvelope'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '422':
          $ref: '#/components/responses/Unprocessable'
components:
  schemas:
    CreatePoolRequest:
      type: object
      required:
        - name
        - phoneNumberIds
      properties:
        name:
          type: string
        description:
          type: string
        phoneNumberIds:
          type: array
          minItems: 1
          items:
            type: string
    PoolEnvelope:
      type: object
      properties:
        success:
          type: boolean
        data:
          $ref: '#/components/schemas/NumberPool'
    NumberPool:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        count:
          type: integer
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    Error:
      type: object
      properties:
        code:
          type: string
        error:
          type: string
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unprocessable:
      description: Unprocessable Entity
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````